Summary:	Software to create compressed audio files
Summary(pl):	Program do tworzenia skompresowanych plikw dwikowych
Summary(sk):	Program na vrobu komrimovanch zvukovch sborov
Name:		lame
Version:	3.89
Release:	1
License:	GPL
Group:		Applications/Sound
Group(de):	Applikationen/Laut
Group(pl):	Aplikacje/Dwik
Group(sk):	Aplikcie/Zvuk
Source0:	ftp://lame.sourceforge.net/pub/lame/src/%{name}%{version}beta.tar.bz2
URL:		http://www.mp3dev.org/mp3/
BuildRequires:	ncurses-devel => 4.2
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libogg-devel
BuildRequires:	nasm
BuildRequires:	autoconf
Requires:	lame-libs = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Lame is a program which can be used to create compressed audio files.
(Lame aint MP3 encoder). These audio files can be played back by
popular mp3 players such as mpg123.

%description -l pl
Lame jest programem, ktry suy do tworzenia skompresowanych plikw
dwikowych. (Lame nie jest programem do kompresji w formacie MP3).
Stworzone pliki mona odtwarza dekoderami MP3, np.: mpg123.

%description -l sk
Lame je program, ktor mono poui na vrobu komprimovanch zvukovch
sborov. (Lame nie je MP3 enkder). Na prehrvanie tchto zvukovch sborov
mono poui ben mp3 prehrvae, naprklad mpg123.

%package libs
Summary:	LAME mp3 encoding library
Summary(pl):	Biblioteka enkodujca MP3 LAME
Summary(sk):	LAME mp3 enkder - kninica
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(sk):	Programovanie/Kninice

%description libs
LAME mp3 encoding library.

%description -l pl libs
Biblioteka enkodujca MP3 LAME.

%description -l sk libs
LAME mp3 enkder - kninica.

%package libs-devel
Summary:	Header files and devel documentation
Summary(pl):	Pliki nagwkowe i dokumentacja developerska
Summary(sk):	Hlavikov sbory a vvojov dokumentcia
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(sk):	Programovanie/Kninice
Requires:	lame-libs = %{version}

%description libs-devel
Header files and devel documentation for LAME libraries.

%description -l pl libs-devel
Pliki nagwkowe i dokumentacja developerska bibliotek LAME.

%description -l sk libs-devel
Hlavikov sbory a vvojov dokumentcia pre LAME kninicu.

%package libs-static
Summary:	Static LAME library
Summary(pl):	Biblioteki statyczne LAME
Summary(pl):	LAME mp3 enkder - statick kninica
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(sk):	Programovanie/Kninice
Requires:	lame-libs-devel = %{version}

%description libs-static
LAME static libraries.

%description -l pl libs-static
Biblioteki statyczne LAME.

%description -l sk libs-static
LAME mp3 enkder - statick kninica.

%package x11
Summary:	GTK frame analyzer
Summary(pl):	Analizator ramek w GTK
Summary(pl):	GTK analyztor rmcov
Group:		Applications/Sound
Group(de):	Applikationen/Laut
Group(pl):	Aplikacje/Dwik
Group(sk):	Aplikcie/Zvuk

%description x11
GTK frame analyzer.

%description -l pl x11
Analizator ramek w GTK.

%description -l sk x11
GTK analyztor rmcov.

%prep
%setup -q

%build
autoconf
%configure \
	--enable-shared \
	--enable-static \
	--enable-mp3x \
	--enable-mp3rtp \
	--enable-brhist
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/bin

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv	$RPM_BUILD_ROOT%{_bindir}/mp3x \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/bin/

gzip -9nf Change* API DEFINES LICENSE TODO USAGE 

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/html/*.{html,css}
%doc {TODO,USAGE}.gz
%attr(755,root,root) %{_bindir}/lame
%attr(755,root,root) %{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%defattr(644,root,root,755)
%doc LICENSE.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files libs-devel
%defattr(644,root,root,755)
%doc {API,DEFINES}.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/lame

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/*

%changelog
* Thu Nov 29 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux
- spec: slovak translations
- .bz2 source archiv

* Wed Aug 08 2001 PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lame.spec,v $
Revision 1.14  2001/08/08 21:44:57  kloczek
- updated to 3.89.

Revision 1.13  2001/07/31 18:35:25  blues
- Release 2
- more buildrequires
- ac 2.5 ready

Revision 1.12  2001/04/02 10:35:48  kloczek
- cosmetics.

Revision 1.11  2001/03/31 12:35:29  misiek
run ldconfig in post/postun; stb

Revision 1.10  2001/03/31 12:28:44  misiek
updated to 3.88beta and splited into: lame, lame-libs, lame-libs, lame-libs-devel, lame-libs-static and lame-x11.

Revision 1.9  2000/07/13 23:11:45  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.8  2000/07/13 20:43:38  baggins
- release 2

Revision 1.7  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.3  2000/03/16 10:34:07  misiek
- adaptized
- removed bashizm (wrobell - don't use pushd popd !)
- link with tinfo library not with termcap

Revision 1.2  2000/01/24 23:15:20  wrobell
- added licence file to documentation

Revision 1.1  2000/01/23 00:48:33  wrobell
- initial release

